de.esprit.appsuite.jversion

## Class JavaVmLaunchCommand

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.appsuite.task.vm.JavaCommand
      - - de.esprit.appsuite.jversion.JavaVmLaunchCommand

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable

      public class JavaVmLaunchCommand
      extends JavaCommand

  This class launches the `JavaVmVersionLauncher` in order to run a foreign java executable.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.task.vm.JavaCommand

      `JAVA_LAUNCH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaVmLaunchCommand(java.io.File javaExecutable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Class` | `getLauncherClass()`

    - ### Methods inherited from class de.esprit.appsuite.task.vm.JavaCommand

      `addClassPathEntry, addClassPathEntry, addClassPathEntry, addCommandArg, addCommandArg, addNativeLibraryPath, addSystemPathProperty, addSystemPathProperty, addSystemProperty, addVmArg, createCommandLine, fillEnv, getClassPathList, getCommandLineArgs, getDescription, getInstallationRootDir, getJavaVersion, getName, getVersion, getVmArgs, getWorkingDir, publishLauncherClass, putEnv, setDescription, setJavaExecutable, setName, setVersion, setWorkingDir, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaVmLaunchCommand

          public JavaVmLaunchCommand(java.io.File javaExecutable)

  - ### Method Detail

    - #### getLauncherClass

          protected java.lang.Class getLauncherClass()

      Overrides:
        `getLauncherClass` in class `JavaCommand`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.